/**
 * Classe de fonction donnant la derivee de la fonction a miniser dans le cadre du calcul du troisieme point de Lagrange
 *
 * Herite de la classe ChoixDeFonction
 *
 * @author Benoit CARRY
 * @version 15/01/2006
 *
 */
class DerivLagrange3 implements ChoixDeFonction {

    /**
     * Methode de calcul pour une fonction a deux inconnues, derivee de la FoncLagrange associee
     *
     *  @param variable Inconnue de la derivee
     *  @param parametres Tableau de parametres dont depand la derivee (ici un parametre : mu)
     *  @return La valeur de la derivee au point d'entree
     *
     */
  public double fonction(double variable, double[] parametres) {

   //-Variables intermediaires
    double terme1, terme2, resultat;

    terme1= 2*(1-parametres[0]) / ( (variable+parametres[0])*(variable+parametres[0])*(variable+parametres[0]) );
    terme2= 2*parametres[0] / ( (variable+parametres[0]-1)*(variable+parametres[0]-1)*(variable+parametres[0]-1) );

    resultat = 1.0 - terme1 - terme2 ;

    return resultat;

  }

}
