/**
 * Classe de fonction donnant la fonction a miniser dans le cadre du calcul du troisieme point de Lagrange
 *
 * Herite de la classe ChoixDeFonction
 *
 * @author Benoit CARRY
 * @version 05/12/2005
 *
 */
class FoncLagrange3 implements ChoixDeFonction {

    /**
     * Methode de calcul pour une fonction a deux inconnues
     *
     *  @param variable Inconnue de la fonction
     *  @param parametres Tableau de parametres dont depand la fonction (ici un parametre : mu) 
     *  @return La valeur de la fonction au point d'entree
     *
     */
  public double fonction(double variable, double[] parametres) {

   //-Variables intermediaires
    double terme1, terme2, resultat;

    terme1 = (1-parametres[0]) / ( (variable+parametres[0])*(variable+parametres[0]) ) ;
    terme2 = parametres[0] / ( (variable+parametres[0]-1)*(variable+parametres[0]-1) );

    resultat= variable + terme1 + terme2;

    return resultat;
  }
}
