/**
 * Classe patron pour toute fonction implementant une equation du mouvement 
 * et/ou une integrale premiere
 *
 *@author Nicolas DELSATE
 *@version
 * Derniere modification :
 *  08/12/2005
 */

public interface InterfaceEqMvmt{

  /**
   *  Methode de calcul d'equation du mouvement a definir dans une classe heritee de celle-ci.
   * @param  x            un tableau de la forme [X1,X2,...]
   * @param  parametres   tableau de parametres
   * @return   un tableau de la forme [X1_dot,X2_dot,...]
   */
  public double[] eqMvmt(double[] x,double[] parametres);

  /**
   * Implemente une integrale premiere
   * @param  x            un tableau de la forme [X1,X2,...]
   * @param  parametres   tableau de parametres
   * @return              la valeur de l'integrale premiere
   */
    public double intPrem(double[] x,double[] parametres);

}
